## org.flexdock.docking.props
Class BasicDockablePropertySet

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              org.flexdock.util.TypedHashtable
                  org.flexdock.docking.props.BasicDockablePropertySet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map, DockingConstants, DockablePropertySet

Direct Known Subclasses:
  RootDockablePropertySet, ScopedDockablePropertySet

    public class BasicDockablePropertySet

extends TypedHashtable
implements DockablePropertySet, DockingConstants

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.flexdock.docking.props.DockablePropertySet
`ACTIVE, DESCRIPTION, DOCKBAR_ICON, DOCKING_ENABLED, DRAG_THRESHOLD, MOUSE_MOTION_DRAG_BLOCK, PREVIEW_SIZE, REGION_SIZE_EAST, REGION_SIZE_NORTH, REGION_SIZE_SOUTH, REGION_SIZE_WEST, SIBLING_SIZE_EAST, SIBLING_SIZE_NORTH, SIBLING_SIZE_SOUTH, SIBLING_SIZE_WEST, TAB_ICON, TERRITORY_BLOCKED_CENTER, TERRITORY_BLOCKED_EAST, TERRITORY_BLOCKED_NORTH, TERRITORY_BLOCKED_SOUTH, TERRITORY_BLOCKED_WEST`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`BasicDockablePropertySet(Dockable dockable)`
`BasicDockablePropertySet(int initialCapacity, Dockable dockable)`
`BasicDockablePropertySet(int initialCapacity, float loadFactor, Dockable dockable)`
`BasicDockablePropertySet(java.util.Map t, Dockable dockable)`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`protected void` `firePropertyChange(java.lang.String property, boolean oldValue, boolean newValue)`
`protected void` `firePropertyChange(java.lang.String property, int oldValue, int newValue)`
`protected void` `firePropertyChange(java.lang.String property, java.lang.Object oldValue, java.lang.Object newValue)`
`java.lang.String` `getDockableDesc()`
`javax.swing.Icon` `getDockbarIcon()`
`java.lang.String` `getDockingId()`
`java.lang.Float` `getDragThreshold()`
`java.lang.Float` `getPreviewSize()`
`java.lang.Float` `getRegionInset(java.lang.String region)`
`static java.lang.String` `getRegionInsetKey(java.lang.String region)`
`java.lang.Float` `getSiblingSize(java.lang.String region)`
`static java.lang.String` `getSiblingSizeKey(java.lang.String region)`
`javax.swing.Icon` `getTabIcon()`
`static java.lang.String` `getTerritoryBlockedKey(java.lang.String region)`
`java.lang.Boolean` `isActive()`
`java.lang.Boolean` `isDockingEnabled()`
`java.lang.Boolean` `isMouseMotionListenersBlockedWhileDragging()`
`java.lang.Boolean` `isTerritoryBlocked(java.lang.String region)`
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` `setActive(boolean active)`
`void` `setDockableDesc(java.lang.String dockableDesc)`
`void` `setDockbarIcon(javax.swing.Icon icon)`
`void` `setDockingEnabled(boolean enabled)`
`void` `setDragTheshold(float threshold)`
`void` `setMouseMotionListenersBlockedWhileDragging(boolean blocked)`
`void` `setPreviewSize(float previewSize)`
`void` `setRegionInset(java.lang.String region, float inset)`
`void` `setSiblingSize(java.lang.String region, float size)`
`void` `setTabIcon(javax.swing.Icon icon)`
`void` `setTerritoryBlocked(java.lang.String region, boolean blocked)`

Methods inherited from class org.flexdock.util.TypedHashtable
`get, get, get, get, get, get, get, get, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getShort, getString, put, put, put, put, put, put, put, put, put`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.flexdock.docking.props.DockablePropertySet
`put, remove`

Constructor Detail

### BasicDockablePropertySet

    public BasicDockablePropertySet(Dockable dockable)

### BasicDockablePropertySet

    public BasicDockablePropertySet(int initialCapacity,
                                    Dockable dockable)

### BasicDockablePropertySet

    public BasicDockablePropertySet(int initialCapacity,
                                    float loadFactor,
                                    Dockable dockable)

### BasicDockablePropertySet

    public BasicDockablePropertySet(java.util.Map t,
                                    Dockable dockable)

Method Detail

### getRegionInsetKey

    public static java.lang.String getRegionInsetKey(java.lang.String region)

### getSiblingSizeKey

    public static java.lang.String getSiblingSizeKey(java.lang.String region)

### getTerritoryBlockedKey

    public static java.lang.String getTerritoryBlockedKey(java.lang.String region)

### getDockbarIcon

    public javax.swing.Icon getDockbarIcon()

  Specified by:
    `getDockbarIcon` in interface `DockablePropertySet`

### getTabIcon

    public javax.swing.Icon getTabIcon()

  Specified by:
    `getTabIcon` in interface `DockablePropertySet`

### getDockableDesc

    public java.lang.String getDockableDesc()

  Specified by:
    `getDockableDesc` in interface `DockablePropertySet`

### isDockingEnabled

    public java.lang.Boolean isDockingEnabled()

  Specified by:
    `isDockingEnabled` in interface `DockablePropertySet`

### isActive

    public java.lang.Boolean isActive()

  Specified by:
    `isActive` in interface `DockablePropertySet`

### isMouseMotionListenersBlockedWhileDragging

    public java.lang.Boolean isMouseMotionListenersBlockedWhileDragging()

  Specified by:
    `isMouseMotionListenersBlockedWhileDragging` in interface `DockablePropertySet`

### getRegionInset

    public java.lang.Float getRegionInset(java.lang.String region)

  Specified by:
    `getRegionInset` in interface `DockablePropertySet`

### getSiblingSize

    public java.lang.Float getSiblingSize(java.lang.String region)

  Specified by:
    `getSiblingSize` in interface `DockablePropertySet`

### isTerritoryBlocked

    public java.lang.Boolean isTerritoryBlocked(java.lang.String region)

  Specified by:
    `isTerritoryBlocked` in interface `DockablePropertySet`

### getDragThreshold

    public java.lang.Float getDragThreshold()

  Specified by:
    `getDragThreshold` in interface `DockablePropertySet`

### getPreviewSize

    public java.lang.Float getPreviewSize()

  Specified by:
    `getPreviewSize` in interface `DockablePropertySet`

### setDockbarIcon

    public void setDockbarIcon(javax.swing.Icon icon)

  Specified by:
    `setDockbarIcon` in interface `DockablePropertySet`

### setTabIcon

    public void setTabIcon(javax.swing.Icon icon)

  Specified by:
    `setTabIcon` in interface `DockablePropertySet`

### setDockableDesc

    public void setDockableDesc(java.lang.String dockableDesc)

  Specified by:
    `setDockableDesc` in interface `DockablePropertySet`

### setDockingEnabled

    public void setDockingEnabled(boolean enabled)

  Specified by:
    `setDockingEnabled` in interface `DockablePropertySet`

### setActive

    public void setActive(boolean active)

  Specified by:
    `setActive` in interface `DockablePropertySet`

### setMouseMotionListenersBlockedWhileDragging

    public void setMouseMotionListenersBlockedWhileDragging(boolean blocked)

  Specified by:
    `setMouseMotionListenersBlockedWhileDragging` in interface `DockablePropertySet`

### setRegionInset

    public void setRegionInset(java.lang.String region,
                               float inset)

  Specified by:
    `setRegionInset` in interface `DockablePropertySet`

### setSiblingSize

    public void setSiblingSize(java.lang.String region,
                               float size)

  Specified by:
    `setSiblingSize` in interface `DockablePropertySet`

### setTerritoryBlocked

    public void setTerritoryBlocked(java.lang.String region,
                                    boolean blocked)

  Specified by:
    `setTerritoryBlocked` in interface `DockablePropertySet`

### setDragTheshold

    public void setDragTheshold(float threshold)

  Specified by:
    `setDragTheshold` in interface `DockablePropertySet`

### setPreviewSize

    public void setPreviewSize(float previewSize)

  Specified by:
    `setPreviewSize` in interface `DockablePropertySet`

### getDockingId

    public java.lang.String getDockingId()

  Specified by:
    `getDockingId` in interface `DockablePropertySet`
  Returns:
    Returns the dockingId.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `DockablePropertySet`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `DockablePropertySet`

### firePropertyChange

    protected void firePropertyChange(java.lang.String property,
                                      java.lang.Object oldValue,
                                      java.lang.Object newValue)

### firePropertyChange

    protected void firePropertyChange(java.lang.String property,
                                      int oldValue,
                                      int newValue)

### firePropertyChange

    protected void firePropertyChange(java.lang.String property,
                                      boolean oldValue,
                                      boolean newValue)